package de.humance.eco.profile.model.impl;

import com.liferay.portal.kernel.bean.AutoEscapeBeanHandler;
import com.liferay.portal.kernel.util.GetterUtil;
import com.liferay.portal.kernel.util.ProxyUtil;
import com.liferay.portal.kernel.util.StringBundler;
import com.liferay.portal.kernel.util.StringPool;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.model.impl.BaseModelImpl;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;
import com.liferay.portlet.expando.util.ExpandoBridgeFactoryUtil;

import de.humance.eco.profile.model.VehicleManufacturer;
import de.humance.eco.profile.model.VehicleManufacturerModel;

import java.io.Serializable;

import java.sql.Types;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * The base model implementation for the VehicleManufacturer service. Represents a row in the &quot;Profile_VehicleManufacturer&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This implementation and its corresponding interface {@link de.humance.eco.profile.model.VehicleManufacturerModel} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link VehicleManufacturerImpl}.
 * </p>
 *
 * @author Humance
 * @see VehicleManufacturerImpl
 * @see de.humance.eco.profile.model.VehicleManufacturer
 * @see de.humance.eco.profile.model.VehicleManufacturerModel
 * @generated
 */
public class VehicleManufacturerModelImpl extends BaseModelImpl<VehicleManufacturer>
    implements VehicleManufacturerModel {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this class directly. All methods that expect a vehicle manufacturer model instance should use the {@link de.humance.eco.profile.model.VehicleManufacturer} interface instead.
     */
    public static final String TABLE_NAME = "Profile_VehicleManufacturer";
    public static final Object[][] TABLE_COLUMNS = {
            { "vehicleManufacturerId", Types.BIGINT },
            { "creatorId", Types.BIGINT },
            { "creatorName", Types.VARCHAR },
            { "createDate", Types.TIMESTAMP },
            { "modifierId", Types.BIGINT },
            { "modifierName", Types.VARCHAR },
            { "modifiedDate", Types.TIMESTAMP },
            { "name", Types.VARCHAR },
            { "iconId", Types.BIGINT }
        };
    public static final String TABLE_SQL_CREATE = "create table Profile_VehicleManufacturer (vehicleManufacturerId LONG not null primary key,creatorId LONG,creatorName VARCHAR(75) null,createDate DATE null,modifierId LONG,modifierName VARCHAR(75) null,modifiedDate DATE null,name VARCHAR(500) null,iconId LONG)";
    public static final String TABLE_SQL_DROP = "drop table Profile_VehicleManufacturer";
    public static final String ORDER_BY_JPQL = " ORDER BY vehicleManufacturer.name ASC";
    public static final String ORDER_BY_SQL = " ORDER BY Profile_VehicleManufacturer.name ASC";
    public static final String DATA_SOURCE = "liferayDataSource";
    public static final String SESSION_FACTORY = "liferaySessionFactory";
    public static final String TX_MANAGER = "liferayTransactionManager";
    public static final boolean ENTITY_CACHE_ENABLED = GetterUtil.getBoolean(com.liferay.util.service.ServiceProps.get(
                "value.object.entity.cache.enabled.de.humance.eco.profile.model.VehicleManufacturer"),
            true);
    public static final boolean FINDER_CACHE_ENABLED = GetterUtil.getBoolean(com.liferay.util.service.ServiceProps.get(
                "value.object.finder.cache.enabled.de.humance.eco.profile.model.VehicleManufacturer"),
            true);
    public static final boolean COLUMN_BITMASK_ENABLED = GetterUtil.getBoolean(com.liferay.util.service.ServiceProps.get(
                "value.object.column.bitmask.enabled.de.humance.eco.profile.model.VehicleManufacturer"),
            true);
    public static long NAME_COLUMN_BITMASK = 1L;
    public static final long LOCK_EXPIRATION_TIME = GetterUtil.getLong(com.liferay.util.service.ServiceProps.get(
                "lock.expiration.time.de.humance.eco.profile.model.VehicleManufacturer"));
    private static ClassLoader _classLoader = VehicleManufacturer.class.getClassLoader();
    private static Class<?>[] _escapedModelInterfaces = new Class[] {
            VehicleManufacturer.class
        };
    private long _vehicleManufacturerId;
    private long _creatorId;
    private String _creatorName;
    private Date _createDate;
    private long _modifierId;
    private String _modifierName;
    private Date _modifiedDate;
    private String _name;
    private String _originalName;
    private long _iconId;
    private long _columnBitmask;
    private VehicleManufacturer _escapedModel;

    public VehicleManufacturerModelImpl() {
    }

    @Override
    public long getPrimaryKey() {
        return _vehicleManufacturerId;
    }

    @Override
    public void setPrimaryKey(long primaryKey) {
        setVehicleManufacturerId(primaryKey);
    }

    @Override
    public Serializable getPrimaryKeyObj() {
        return _vehicleManufacturerId;
    }

    @Override
    public void setPrimaryKeyObj(Serializable primaryKeyObj) {
        setPrimaryKey(((Long) primaryKeyObj).longValue());
    }

    @Override
    public Class<?> getModelClass() {
        return VehicleManufacturer.class;
    }

    @Override
    public String getModelClassName() {
        return VehicleManufacturer.class.getName();
    }

    @Override
    public Map<String, Object> getModelAttributes() {
        Map<String, Object> attributes = new HashMap<String, Object>();

        attributes.put("vehicleManufacturerId", getVehicleManufacturerId());
        attributes.put("creatorId", getCreatorId());
        attributes.put("creatorName", getCreatorName());
        attributes.put("createDate", getCreateDate());
        attributes.put("modifierId", getModifierId());
        attributes.put("modifierName", getModifierName());
        attributes.put("modifiedDate", getModifiedDate());
        attributes.put("name", getName());
        attributes.put("iconId", getIconId());

        return attributes;
    }

    @Override
    public void setModelAttributes(Map<String, Object> attributes) {
        Long vehicleManufacturerId = (Long) attributes.get(
                "vehicleManufacturerId");

        if (vehicleManufacturerId != null) {
            setVehicleManufacturerId(vehicleManufacturerId);
        }

        Long creatorId = (Long) attributes.get("creatorId");

        if (creatorId != null) {
            setCreatorId(creatorId);
        }

        String creatorName = (String) attributes.get("creatorName");

        if (creatorName != null) {
            setCreatorName(creatorName);
        }

        Date createDate = (Date) attributes.get("createDate");

        if (createDate != null) {
            setCreateDate(createDate);
        }

        Long modifierId = (Long) attributes.get("modifierId");

        if (modifierId != null) {
            setModifierId(modifierId);
        }

        String modifierName = (String) attributes.get("modifierName");

        if (modifierName != null) {
            setModifierName(modifierName);
        }

        Date modifiedDate = (Date) attributes.get("modifiedDate");

        if (modifiedDate != null) {
            setModifiedDate(modifiedDate);
        }

        String name = (String) attributes.get("name");

        if (name != null) {
            setName(name);
        }

        Long iconId = (Long) attributes.get("iconId");

        if (iconId != null) {
            setIconId(iconId);
        }
    }

    @Override
    public long getVehicleManufacturerId() {
        return _vehicleManufacturerId;
    }

    @Override
    public void setVehicleManufacturerId(long vehicleManufacturerId) {
        _vehicleManufacturerId = vehicleManufacturerId;
    }

    @Override
    public long getCreatorId() {
        return _creatorId;
    }

    @Override
    public void setCreatorId(long creatorId) {
        _creatorId = creatorId;
    }

    @Override
    public String getCreatorName() {
        if (_creatorName == null) {
            return StringPool.BLANK;
        } else {
            return _creatorName;
        }
    }

    @Override
    public void setCreatorName(String creatorName) {
        _creatorName = creatorName;
    }

    @Override
    public Date getCreateDate() {
        return _createDate;
    }

    @Override
    public void setCreateDate(Date createDate) {
        _createDate = createDate;
    }

    @Override
    public long getModifierId() {
        return _modifierId;
    }

    @Override
    public void setModifierId(long modifierId) {
        _modifierId = modifierId;
    }

    @Override
    public String getModifierName() {
        if (_modifierName == null) {
            return StringPool.BLANK;
        } else {
            return _modifierName;
        }
    }

    @Override
    public void setModifierName(String modifierName) {
        _modifierName = modifierName;
    }

    @Override
    public Date getModifiedDate() {
        return _modifiedDate;
    }

    @Override
    public void setModifiedDate(Date modifiedDate) {
        _modifiedDate = modifiedDate;
    }

    @Override
    public String getName() {
        if (_name == null) {
            return StringPool.BLANK;
        } else {
            return _name;
        }
    }

    @Override
    public void setName(String name) {
        _columnBitmask = -1L;

        if (_originalName == null) {
            _originalName = _name;
        }

        _name = name;
    }

    public String getOriginalName() {
        return GetterUtil.getString(_originalName);
    }

    @Override
    public long getIconId() {
        return _iconId;
    }

    @Override
    public void setIconId(long iconId) {
        _iconId = iconId;
    }

    public long getColumnBitmask() {
        return _columnBitmask;
    }

    @Override
    public ExpandoBridge getExpandoBridge() {
        return ExpandoBridgeFactoryUtil.getExpandoBridge(0,
            VehicleManufacturer.class.getName(), getPrimaryKey());
    }

    @Override
    public void setExpandoBridgeAttributes(ServiceContext serviceContext) {
        ExpandoBridge expandoBridge = getExpandoBridge();

        expandoBridge.setAttributes(serviceContext);
    }

    @Override
    public VehicleManufacturer toEscapedModel() {
        if (_escapedModel == null) {
            _escapedModel = (VehicleManufacturer) ProxyUtil.newProxyInstance(_classLoader,
                    _escapedModelInterfaces, new AutoEscapeBeanHandler(this));
        }

        return _escapedModel;
    }

    @Override
    public Object clone() {
        VehicleManufacturerImpl vehicleManufacturerImpl = new VehicleManufacturerImpl();

        vehicleManufacturerImpl.setVehicleManufacturerId(getVehicleManufacturerId());
        vehicleManufacturerImpl.setCreatorId(getCreatorId());
        vehicleManufacturerImpl.setCreatorName(getCreatorName());
        vehicleManufacturerImpl.setCreateDate(getCreateDate());
        vehicleManufacturerImpl.setModifierId(getModifierId());
        vehicleManufacturerImpl.setModifierName(getModifierName());
        vehicleManufacturerImpl.setModifiedDate(getModifiedDate());
        vehicleManufacturerImpl.setName(getName());
        vehicleManufacturerImpl.setIconId(getIconId());

        vehicleManufacturerImpl.resetOriginalValues();

        return vehicleManufacturerImpl;
    }

    @Override
    public int compareTo(VehicleManufacturer vehicleManufacturer) {
        int value = 0;

        value = getName().compareTo(vehicleManufacturer.getName());

        if (value != 0) {
            return value;
        }

        return 0;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }

        if (!(obj instanceof VehicleManufacturer)) {
            return false;
        }

        VehicleManufacturer vehicleManufacturer = (VehicleManufacturer) obj;

        long primaryKey = vehicleManufacturer.getPrimaryKey();

        if (getPrimaryKey() == primaryKey) {
            return true;
        } else {
            return false;
        }
    }

    @Override
    public int hashCode() {
        return (int) getPrimaryKey();
    }

    @Override
    public void resetOriginalValues() {
        VehicleManufacturerModelImpl vehicleManufacturerModelImpl = this;

        vehicleManufacturerModelImpl._originalName = vehicleManufacturerModelImpl._name;

        vehicleManufacturerModelImpl._columnBitmask = 0;
    }

    @Override
    public CacheModel<VehicleManufacturer> toCacheModel() {
        VehicleManufacturerCacheModel vehicleManufacturerCacheModel = new VehicleManufacturerCacheModel();

        vehicleManufacturerCacheModel.vehicleManufacturerId = getVehicleManufacturerId();

        vehicleManufacturerCacheModel.creatorId = getCreatorId();

        vehicleManufacturerCacheModel.creatorName = getCreatorName();

        String creatorName = vehicleManufacturerCacheModel.creatorName;

        if ((creatorName != null) && (creatorName.length() == 0)) {
            vehicleManufacturerCacheModel.creatorName = null;
        }

        Date createDate = getCreateDate();

        if (createDate != null) {
            vehicleManufacturerCacheModel.createDate = createDate.getTime();
        } else {
            vehicleManufacturerCacheModel.createDate = Long.MIN_VALUE;
        }

        vehicleManufacturerCacheModel.modifierId = getModifierId();

        vehicleManufacturerCacheModel.modifierName = getModifierName();

        String modifierName = vehicleManufacturerCacheModel.modifierName;

        if ((modifierName != null) && (modifierName.length() == 0)) {
            vehicleManufacturerCacheModel.modifierName = null;
        }

        Date modifiedDate = getModifiedDate();

        if (modifiedDate != null) {
            vehicleManufacturerCacheModel.modifiedDate = modifiedDate.getTime();
        } else {
            vehicleManufacturerCacheModel.modifiedDate = Long.MIN_VALUE;
        }

        vehicleManufacturerCacheModel.name = getName();

        String name = vehicleManufacturerCacheModel.name;

        if ((name != null) && (name.length() == 0)) {
            vehicleManufacturerCacheModel.name = null;
        }

        vehicleManufacturerCacheModel.iconId = getIconId();

        return vehicleManufacturerCacheModel;
    }

    @Override
    public String toString() {
        StringBundler sb = new StringBundler(19);

        sb.append("{vehicleManufacturerId=");
        sb.append(getVehicleManufacturerId());
        sb.append(", creatorId=");
        sb.append(getCreatorId());
        sb.append(", creatorName=");
        sb.append(getCreatorName());
        sb.append(", createDate=");
        sb.append(getCreateDate());
        sb.append(", modifierId=");
        sb.append(getModifierId());
        sb.append(", modifierName=");
        sb.append(getModifierName());
        sb.append(", modifiedDate=");
        sb.append(getModifiedDate());
        sb.append(", name=");
        sb.append(getName());
        sb.append(", iconId=");
        sb.append(getIconId());
        sb.append("}");

        return sb.toString();
    }

    @Override
    public String toXmlString() {
        StringBundler sb = new StringBundler(31);

        sb.append("<model><model-name>");
        sb.append("de.humance.eco.profile.model.VehicleManufacturer");
        sb.append("</model-name>");

        sb.append(
            "<column><column-name>vehicleManufacturerId</column-name><column-value><![CDATA[");
        sb.append(getVehicleManufacturerId());
        sb.append("]]></column-value></column>");
        sb.append(
            "<column><column-name>creatorId</column-name><column-value><![CDATA[");
        sb.append(getCreatorId());
        sb.append("]]></column-value></column>");
        sb.append(
            "<column><column-name>creatorName</column-name><column-value><![CDATA[");
        sb.append(getCreatorName());
        sb.append("]]></column-value></column>");
        sb.append(
            "<column><column-name>createDate</column-name><column-value><![CDATA[");
        sb.append(getCreateDate());
        sb.append("]]></column-value></column>");
        sb.append(
            "<column><column-name>modifierId</column-name><column-value><![CDATA[");
        sb.append(getModifierId());
        sb.append("]]></column-value></column>");
        sb.append(
            "<column><column-name>modifierName</column-name><column-value><![CDATA[");
        sb.append(getModifierName());
        sb.append("]]></column-value></column>");
        sb.append(
            "<column><column-name>modifiedDate</column-name><column-value><![CDATA[");
        sb.append(getModifiedDate());
        sb.append("]]></column-value></column>");
        sb.append(
            "<column><column-name>name</column-name><column-value><![CDATA[");
        sb.append(getName());
        sb.append("]]></column-value></column>");
        sb.append(
            "<column><column-name>iconId</column-name><column-value><![CDATA[");
        sb.append(getIconId());
        sb.append("]]></column-value></column>");

        sb.append("</model>");

        return sb.toString();
    }
}
